## lua-http 0.1

=== doc/Makefile ===
INTERFACES = \
	connection.md \
	stream.md

MODULES = \
	http.bit.md \
	http.client.md \
	http.h1_connection.md \
	http.h1_reason_phrases.md \
	http.h1_stream.md \
	http.h2_connection.md \
	http.h2_error.md \
	http.h2_stream.md \
	http.headers.md \
	http.hpack.md \
	http.hsts.md \
	http.proxies.md \
	http.request.md \
	http.server.md \
	http.socks.md \
	http.tls.md \
	http.util.md \
	http.version.md \
	http.websocket.md \
	http.zlib.md \
	http.compat.prosody.md \
	http.compat.socket.md

FILES = \
	introduction.md \
	interfaces.md \
	$(addprefix interfaces/,$(INTERFACES)) \
	modules.md \
	$(addprefix modules/,$(MODULES)) \
	links.md

all: lua-http.html lua-http.pdf lua-http.3

lua-http.html: template.html site.css metadata.yaml $(FILES)
	pandoc -o $@ -t html5 -s --toc --template=template.html --section-divs --self-contained -c site.css metadata.yaml $(FILES)

lua-http.pdf: metadata.yaml $(FILES)
	pandoc -o $@ -t latex -s --toc --toc-depth=2 -V documentclass=article -V classoption=oneside -V links-as-notes -V geometry=a4paper,includeheadfoot,margin=2.54cm metadata.yaml $(FILES)

lua-http.3: metadata.yaml $(FILES)
	pandoc -o $@ -t man -s metadata.yaml $(FILES)

man: lua-http.3
	man -l $^

clean:
	rm -f lua-http.html lua-http.pdf lua-http.3

.PHONY: all man install clean

## lua-http 0~20160616

=== debian/changelog ===
lua-http (0~20160616-3) unstable; urgency=medium

  * Clarify copyright on http/websocket.lua
  * Add github watch file

 -- Ondřej Surý <ondrej@debian.org>  Thu, 14 Jul 2016 09:16:05 +0200

lua-http (0~20160616-2) unstable; urgency=medium

  * Change Architecture: to all as it's Lua only package

 -- Ondřej Surý <ondrej@debian.org>  Wed, 13 Jul 2016 14:44:14 +0200

lua-http (0~20160616-1) unstable; urgency=low

  * Initial release.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 13 Jul 2016 13:51:23 +0200

=== debian/control ===
Source: lua-http
Section: interpreters
Priority: optional
Maintainer: Ondřej Surý <ondrej@debian.org>
Build-Depends: debhelper (>= 9),
               dh-lua,
               pandoc
Standards-Version: 3.9.8
Homepage: https://github.com/daurnimator/lua-http
Vcs-Git: git://anonscm.debian.org/pkg-lua/lua-http.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-lua/lua-http.git

Package: lua-http
Architecture: all
Depends: lua-basexx (>= 0.2),
         lua-bit32,
         lua-compat53 (>= 0.3),
         lua-cqueues (>= 20150907),
         lua-fifo,
         lua-lpeg-patterns (>= 0.2),
         lua-openssl (>= 20150727),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: HTTP library for Lua
 lua-http is an HTTP library for Lua, it supports: both client and
 server operations, both HTTP 1 and HTTP 2.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_clean:
	-rm doc/lua-http.html
	dh_auto_clean

override_dh_installdocs:
	pandoc -t html5 --template=doc/template.html --section-divs --self-contained --toc -c doc/site.css doc/index.md doc/metadata.yaml -o doc/lua-http.html
	dh_installdocs

override_dh_compress:
	dh_compress -X.lua -X.cnf

## lua-http 0.1

=== debian/changelog ===
lua-http (0.1-3) unstable; urgency=medium

  * Fix request building in locales with comma decimal separator
    (Closes: #863286) (Courtesy of Daurnimator)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 29 May 2017 13:39:46 +0200

lua-http (0.1-2) unstable; urgency=medium

  * New lua-http breaks knot-resolver-module-http and not knot-resolver

 -- Ondřej Surý <ondrej@debian.org>  Tue, 20 Dec 2016 11:39:33 +0100

lua-http (0.1-1) unstable; urgency=medium

  * Imported Upstream version 0.1
  * Add Breaks: knot-resolver (<< 1.2.0~)
  * Add Lua 5.3 support
  * Use upstream makefile to generate documentation and add manpage to
    -dev package

 -- Ondřej Surý <ondrej@debian.org>  Mon, 19 Dec 2016 13:13:38 +0100

lua-http (0~20160616-4) unstable; urgency=medium

  * Depend on lua-luaossl instead of lua-openssl

 -- Ondřej Surý <ondrej@debian.org>  Tue, 13 Dec 2016 14:36:41 +0100

=== debian/control ===
--- 
+++ 
@@ -15,12 +15,13 @@
 Depends: lua-basexx (>= 0.2),
          lua-bit32,
          lua-compat53 (>= 0.3),
-         lua-cqueues (>= 20150907),
+         lua-cqueues (>= 20161214),
          lua-fifo,
-         lua-lpeg-patterns (>= 0.2),
-         lua-openssl (>= 20150727),
+         lua-lpeg-patterns (>= 0.3),
+         lua-luaossl (>= 20161208),
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: knot-resolver-module-http (<< 1.2.0~)
 Provides: ${lua:Provides}
 XB-Lua-Versions: ${lua:Versions}
 Description: HTTP library for Lua

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/daurnimator/lua-http/tags .*/v?(\d\S*)\.tar\.gz

## lua-http 0.3

=== debian/changelog ===
lua-http (0.3-1) unstable; urgency=low

  * New upstream version 0.3
  * Add debian/salsa-ci.yml
  * Add myself to Uploaders
  * Bump debhelper compat level to 12~. Remove debian/compat
  * Standards-Version to 4.5.0. No changes needed
  * d/control: Update Vcs-* URLs to match the repo in salsa
  * Remove no longer needed
    0001-http-h1_connection-Fix-request-building-in-locales-w.patch
  * d/copyright: use HTTPS instead of HTTP in Format URL
  * d/control: Set Rules-Requires-Root: no
  * remove unused lintian override package-name-doesnt-match-sonames
  * d/watch: fix use of template
  * Install example files. mv no used d/lua-http-dev.examples to
    d/lua-http.examples
  * Create a first autopkgtest: debian/tests/server-hello

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 13 Feb 2020 09:54:09 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Section: interpreters
 Priority: optional
 Maintainer: Ondřej Surý <ondrej@debian.org>
-Build-Depends: debhelper (>= 9),
+Uploaders: Santiago Ruano Rincón <santiago@debian.org>
+Build-Depends: debhelper-compat (= 12),
                dh-lua,
                pandoc
-Standards-Version: 3.9.8
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/daurnimator/lua-http
-Vcs-Git: git://anonscm.debian.org/pkg-lua/lua-http.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-lua/lua-http.git
+Vcs-Git: https://salsa.debian.org/lua-team/lua-http.git
+Vcs-Browser: https://salsa.debian.org/lua-team/lua-http
 
 Package: lua-http
 Architecture: all

=== debian/tests/control ===
Tests: server-hello
Depends: @, lua5.2, lua-fifo, curl

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/lua-http-$1\.tar\.gz/ \
  https://github.com/daurnimator/lua-http/tags .*/v?(\d\S*)\.tar\.gz

## lua-http 0.4

=== debian/changelog ===
lua-http (0.4-3) unstable; urgency=medium

  * Team upload
  * Drop lua5.2 support (Closes: #1117655)

 -- Bastian Germann <bage@debian.org>  Mon, 13 Oct 2025 23:18:22 +0200

lua-http (0.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Jakub Ružička ]
  * Make myself Maintainer
  * Bump Standards-Version to 4.7.2. No changes required
  * patch: handle EOF when body_read_type==length (CVE-2023-4540, Closes: #1051511)

 -- Jakub Ružička <jru@debian.org>  Thu, 24 Apr 2025 14:15:44 +0200

lua-http (0.4-1) unstable; urgency=low

  * New upstream version 0.4
    - Support multiple elliptic curves under OpenSSL 1.1.1+
  * Bump d/watch version to 4
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.5.1. No changes required

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 15 Feb 2021 12:00:25 +0100

lua-http (0.3-2) unstable; urgency=low

  * Add lua-binaryheap to Dependencies (Closes: #958665)
  * Add debian/tests/simple-request. Test fetching https://debian.org
  * Add debian/gbp.conf

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 23 Nov 2020 16:01:48 +0100

=== debian/control ===
Source: lua-http
Section: interpreters
Priority: optional
Maintainer: Jakub Ružička <jru@debian.org>
Uploaders: Santiago Ruano Rincón <santiago@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-lua,
               pandoc
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/daurnimator/lua-http
Vcs-Git: https://salsa.debian.org/lua-team/lua-http.git
Vcs-Browser: https://salsa.debian.org/lua-team/lua-http

Package: lua-http
Architecture: all
Depends: lua-basexx,
         lua-binaryheap,
         lua-bit32,
         lua-compat53,
         lua-cqueues,
         lua-fifo,
         lua-lpeg-patterns,
         lua-luaossl,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: HTTP library for Lua
 lua-http is an HTTP library for Lua, it supports: both client and
 server operations, both HTTP 1 and HTTP 2.

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 	dh_auto_clean
 
 override_dh_installdocs:
-	pandoc -t html5 --template=doc/template.html --section-divs --self-contained --toc -c doc/site.css doc/index.md doc/metadata.yaml -o doc/lua-http.html
+	make -C doc lua-http.html lua-http.3
 	dh_installdocs
 
 override_dh_compress:

=== debian/tests/control ===
Tests: server-hello
Depends: @, lua5.1, lua-fifo, curl

Tests: simple-request
Depends: @, lua5.1, ca-certificates

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/lua-http-$1\.tar\.gz/ \
  https://github.com/daurnimator/lua-http/tags .*/v?(\d\S*)\.tar\.gz
